:root {
 --main-color: #ffffff;
 --bg-color: #fff;
 --font-color: #000;
 
 --flexcont-bg: transparent; /*#D3A9C4; /* was lightgreen for test ... hmm */
 
 --header-background-desktop: #ffffff;
 --header-background-mobile: #ffffff;
 --nav-z-index:400;
 --nav-z-index-menu:399;
 
 --runde-ecken: 0.45em;

 --nav-breakpoint-menu: 981; /* var rules -not- working yet - hamburger mobile menue hamburger see rule around line 320 thank you */

 --ci_farbe_01: #994441; /*BG header footer menu swaps dkl lila - z.B. waspgelb */
 --ci_farbe_02: #D3A9C4; /*helllila bsb*/
 --ci_farbe_03: #ffffff; /*weiss bsb thema*/
 --ci_farbe_04: #D9DADA5; /*hellergrau favicon 1*/ 
 --ci_farbe_05: black;
 --main-padding: .625rem;
 --main_background: #ffffff;
 --padding: .625rem;
 --margin: .625rem;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0
}

html,
body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 16px;
 color: var(--font-color);
  background: var(--bg-color);
   /* background:url('../grafiken/body_bg2-1920x1440.png') #D3A9C4; /*#e7e7e7;*/
    /*    background-size:cover;*/
    background-attachment: fixed;
    background-position: bottom left;
  height: 100%;
}

.flexcontainer {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
  flex-direction: column;
  height: 100vh;
}

.flexcontainer>* {
  padding: var(--padding)
}

.flexcontainer {background: var( --flexcont-bg);}

.runde-ecken {
    border-radius:var( --runde-ecken);
}

header {
     background: var(--header-background);
  display: none;
  flex-shrink: 0
}

nav {
  background: var(--ci_farbe_01); /* background mobile navigation */
  border-top: 2px solid green;
  display: none;
  flex-shrink: 0
}

main {
  flex: 1 0 auto;
  margin-top:4.25em; /* wegen fix top 0v2 */
   background:var(--main_background);
}

footer {
  background: var(--ci_farbe_01);
  color: var(--bg-color);
  text-align: center
}

footer a {
  color: var(--bg-color) !important;
  text-decoration:none;
}

/*MENÜ*/

#menu-checkbox {
  display: none
}

#menu-checkbox:checked~nav {
  display: -webkit-flex;
  display: flex;
  /*width:auto;*/
    position: fixed;
    width: 100%;
z-index:var(--nav-z-index-menu);
}

#menu-toggler {
  display: -webkit-flex;
  display: flex;
  flex-shrink: 0;
  padding: 0 var(--padding);
  height: 4.375em;
  line-height: 4.375em;
background: var(--header-background-mobile);
  color: var(--bg-color);
  z-index:var(--nav-z-index);
  position: fixed;
  top: 0;
  width:100%;
}

#menu-toggler-icon:after,
#menu-toggler-icon:before {
  content: "";
  position: absolute;
  left: 0;
  top: -9px;
}

#menu-toggler-icon:after {
  top: 9px;
}

#menu-toggler-icon {
  position: absolute;
  right: var(--padding);
  top: 1.875em
}

#menu-toggler-icon,
#menu-toggler-icon:after,
#menu-toggler-icon:before {
  width: 2.500em;
  height: 5px;
  background-color: var(--ci_farbe_01);
  transition: all 0.3s;
  border-radius: 2px;
}

#menu-checkbox:checked~#menu-toggler>#menu-toggler-icon {
  background-color: transparent;
}

#menu-checkbox:checked~#menu-toggler>#menu-toggler-icon:before {
  transform: rotate(45deg) translate(5px, 5px);
}

#menu-checkbox:checked~#menu-toggler>#menu-toggler-icon:after {
  transform: rotate(-45deg) translate(7px, -8px);
}

nav ul li a {
  padding: 1em;
  color: var(--bg-color);
  text-decoration: none
}

ul.mainmenu,
ul.mainmenu a,
ul.detailmenu,
ul.detailmenu a {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
  flex-direction: column;
  -webkit-flex: 1 0 0;
  flex: 1 0 0;
  list-style: none;
}

ul.mainmenu {margin-top:4.25em;  height:270px; overflow-y: scroll;border:0px solid yellow;} /* wegen fix top 1v2 */


ul.mainmenu a {  text-transform: uppercase;}
ul.detailmenu a {  text-transform: none;}

ul.mainmenu a:hover {
  background: var(--bg-color);
  color: var(--font-color)
}

ul.detailmenu {
  padding-left: 2em
}

.menuactive {
  font-weight: 700
}

/*MENÜ Ende*/

.wmlink a:link, .wmlink a:visited {
    background-color:var(--ci_farbe_02);
    border: 2px solid var(--ci_farbe_01);
    color: #000000;
    padding: 0.65em 1.7em;
    display: inline-block;
    overflow: hidden;
    font-weight:bold;
    text-decoration:none;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
    border-radius: 0.45em;
    transition: all 0.3s ease 0s;
}
.wmlink a:active, .wmlink a:hover {
    background:var(--ci_farbe_01);
    border:2px solid var(--ci_farbe_02);
    /*background-color: #666666;*/
    box-shadow: none;
    color: var(--ci_farbe_03) !important;
}


/*moziloCMS Syntax*/

.heading1, h1 { 
    font-family: 'BonheurRoyale', serif;
    font-size: 3.75em;
	line-height: 1.0em;
	font-weight: 400; /* eingebunden 300,400 und 800  'Source Sans Pro' 200 */
	font-style: normal;
	color:#871C87;
    }

.heading2, h2 { 
    font-family: 'Mako', sans-serif;
    font-size: 1.75em;
    line-height: 1.0em;
	font-weight: 400; /* eingebunden 300,400 und 800  'Source Sans Pro' 200 */
	font-style: normal;
	color:#3A353E !important;
    letter-spacing:0.05em;
    text-transform:uppercase;
    }

.heading1,
.heading2,
.heading3,
h1,
h2,
h3 {
 color: var( --ci_farbe_01);
  margin-bottom: var(--margin);
  margin-top: var(--margin);
}

.heading1 {
  /*font-size: 2.5em*/
}

.heading2 {
  /*font-size: 2.5em*/
}

.heading3 {
  font-size: 1.2em
}

.contentimage {
  width:auto;
  height:auto;
  max-width:100%; /* was 90% for some reason  thx marusti */
  /*padding-right: var(--main-padding);*/
  border:0px solid blue;
}

.leftcontentimage {
  float: left;
  padding-right: 0;
}

.rightcontentimage {
  float: right;
  padding-left: var(--main-padding);
  border:0px solid red;
}

.imagesubtitle {
display: block;
  font-size: 0.75em;
  color: #888;
  line-height: 1.05em;
  text-align: center;
}

.listitem {
  list-style-position: inside
}

.alignright {
  text-align: right
}

.alignleft {
  text-align: left
}

.aligncenter {
  text-align: center
}

table.contenttable {
  width: 100%;
  text-align: center;
}

th.contenttable {
  background: var(--main-color);
  color: var(--bg-color);
  border-right: 1px solid;
  padding: 7px
}

th.contenttable:last-child {
  border-right: none
}

td {
  padding: 7px;
  border-bottom: 1px solid color: var(--font-color);
}

a.link,
a {
 color: var(--font-color);
}

a.link:hover,
a:hover {
  text-decoration: none;
}

/* Hauptmenü (Galerie) */
ul.gallerymenu {
    padding     : 11px 8px 0px 0px;
    line-height : 23px;
    text-align  : center;
}

/* Detailmenü (Galerie) */
ul.gallerynumbermenu {
    padding     : 6px 8px 0px 8px;
    line-height : 20px;
    text-align  : center;
    width       : 100%;
    float       : none;
    margin      : 2px auto;
}

li.gallerymenu, li.gallerynumbermenu {
    display : inline;
    padding : 0 5px 0 5px;
}

/*Sitemap # search results  # tableofcontents*/

.result-list-header {
	display: block;
	font-size: 1.2em;
    margin: calc(var(--margin)*2) 0;
    border-bottom: 1px solid var(--font-color)
}

.result-list-item {
    padding-bottom: var(--padding);
    padding-left: calc(var(--padding)*2);
    list-style-type: none
}

#sitemap a, .searchmap result-list result-list result-list result-list a, .tableofcontents a {
    color: var(--font-color)
}

/*Syntax Ende*/
/* var rules not working hamburger mobile menue */
@media only screen and (min-width: 1200px) {
  header {
    order: 1
  }
  nav {
    order: 2
  }
  main {
    order: 3;
    width: 70%; border:0px solid red;
    margin: 0 auto;
          margin-top:0em; /* wegen fix top 5v2 */
  }
  footer {
    order: 4;
    padding-top: calc(var(--padding)*3) !important;
    padding-bottom: calc(var(--padding)*3) !important;
  }
  header {
    display: -webkit-flex;
    display: flex;
    height: 19em;
    background: var(--header-background-desktop);
    color: var(--bg-color);
    justify-content: center;
    align-items: center;
    margin-bottom: var(--margin);
  }
  header span {
    font-size: 5em;
  }
  nav {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row wrap;
    justify-content: center;
    border-top: none;
  }
  nav a {
    font-size: 1.2em;
  }
  
  ul.mainmenu {margin-top:0;height:auto;overflow-y: visible;border:0px solid green;} /* wegen fix top 2v2 */
  
  ul.mainmenu {
    display: -webkit-flex;
    display: flex;
    flex: inherit;
    flex-direction: row;
    position: initial;

    margin-top: 0;
    border-top: 0;
  }
  ul.mainmenu li {
    flex: inherit;
    position: relative;
    margin: 0;
    padding: 0;
  }
  ul.mainmenu a {
    height: 100%;
    align-items: center
  }
  ul.detailmenu {
    display: none;
    position: absolute;
    padding: 0;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    line-height: 1.5em;
    background: var(--main-color);
    min-width: 150%;
    z-index:var(--nav-z-index-menu);
  }
  nav ul li:hover>ul {
    display: block
  }
  ul.detailmenu a {
    align-items: flex-start;
    color:var( --ci_farbe_01); /* untermenue submenue desktop */
  }
  ul.detailmenu a:hover {
    background: var(--bg-color);
    color: var( --ci_farbe_05); /* untermenue submenue desktop hover */
  }
  .menuactive {
    background: var(--bg-color);
   color: var(--font-color);
    font-weight: 400;
  }
  #menu-toggler {
    display: none
  }
}

@media only screen and (min-width: 1200px) {
  main {
    width: 60%;
      margin-top:0em; /* evtl. 1.0em wegen fix top 6v2 */
  }
}
/* -------------------------------------------------------- */
/* [block|...] */
/* ----------- */
.alignjustify {
    text-align:justify;
}
fieldset#searchfieldset {
   border:none;
   margin:0px;
   padding:0px;
}